/*********************************************************************
*          SEGGER MICROCONTROLLER SYSTEME GmbH
*   Solutions for real time microcontroller applications
**********************************************************************
File    : Main.c
Purpose :
--------- END-OF-HEADER --------------------------------------------*/

#define MAIN_C

#include "Main.h"

const char __attribute__((section(".HWInfo"))) _acHeader[0x4000] = {0};

volatile int _DoModifyFlash;

/*********************************************************************
*
*       main
*/
int main(void) {

  U32 acTmp[10]   = {
                      0x11111111,
                      0x22222222,
                      0x33333333,
                      0x44444444,
                      0x55555555,
                      0x66666666,
                      0x77777777,
                      0x88888888,
                      0x99999999,
                      0xAAAAAAAA
                    };

  _DoModifyFlash = _acHeader[0];
  _DoModifyFlash = 0;
  while(_DoModifyFlash == 0);
  FLASH_EraseSector((U32*)0x08008000);  // Erase HWInfo
  FLASH_WriteEx((U32*)0x08008000, (const U32*)acTmp, sizeof(acTmp), 0);
  while(1);
  return 0;
}
